> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autosend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Automation

> Resumes a paused workflow automation back to active state.

> [!NOTE]
>
> Resumes a paused workflow automation. New contacts can enter again, and in-flight contacts continue from their last completed step.

```bash cURL theme={null}
curl --request POST \
  --url https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/resume \
  --header 'Authorization: Bearer AS_your-project-api-key'
```

```python Python theme={null}
import requests

url = "https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/resume"

headers = {
    "Authorization": "Bearer AS_your-project-api-key"
}

response = requests.post(url, headers=headers)
print(response.json())
```

```javascript JavaScript theme={null}
fetch('https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/resume', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer AS_your-project-api-key'
  }
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
```

```php PHP theme={null}
<?php

$url = 'https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/resume';

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer AS_your-project-api-key'
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
```

```go Go theme={null}
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/resume"

    req, _ := http.NewRequest("POST", url, nil)
    req.Header.Set("Authorization", "Bearer AS_your-project-api-key")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        fmt.Println("Error:", err)
        return
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
```

```java Java theme={null}
import java.net.HttpURLConnection;
import java.net.URL;

public class ResumeWorkflow {
    public static void main(String[] args) {
        try {
            URL url = new URL("https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/resume");
            HttpURLConnection con = (HttpURLConnection) url.openConnection();

            con.setRequestMethod("POST");
            con.setRequestProperty("Authorization", "Bearer AS_your-project-api-key");

            int status = con.getResponseCode();
            System.out.println("Response Status: " + status);

            con.disconnect();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
```

```ruby Ruby theme={null}
require 'net/http'
require 'uri'

uri = URI('https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/resume')

http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri.path)
request['Authorization'] = 'Bearer AS_your-project-api-key'

response = http.request(request)
puts response.body
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": "60d5ec49f1b2c72d9c8b9abc",
    "name": "Welcome Series",
    "status": "active",
    "activeAt": "2026-05-08T12:00:00.000Z",
    "updatedAt": "2026-05-08T12:00:00.000Z"
  }
}
```

***

#### Authorizations

**Authorizations** `string | header` *required*

Project API key header of the form Bearer `AS_<key>`.

### Path Parameters

**id** `string` *required*

Workflow automation ID.

#### Response

Workflow automation resumed successfully

**success** `boolean`

Example: `true`

**data** `object`

The workflow automation, with `status` set to `active`.

**child attributes**

**data.id** `string`

Unique workflow identifier.

**data.name** `string`

Display name of the workflow.

**data.status** `string`

Current status - will be `active`.

**data.activeAt** `string`

ISO 8601 timestamp of when the workflow was resumed.

**data.updatedAt** `string`

ISO 8601 last-updated timestamp.

#### Error Responses

**400 - Cannot activate** `object`

Returned when the workflow has missing required fields and cannot be activated.

```json theme={null}
{
  "success": false,
  "error": {
    "message": "Cannot activate workflow. Please check all required fields are filled",
    "code": "CANNOT_ACTIVATE_AUTOMATION"
  }
}
```

**404 - Workflow not found** `object`

```json theme={null}
{
  "success": false,
  "error": {
    "message": "Workflow automation not found",
    "code": "WORKFLOW_NOT_FOUND"
  }
}
```


## OpenAPI

````yaml POST /automations/{id}/resume
openapi: 3.1.0
info:
  title: AutoSend API
  description: >-
    AutoSend REST API for managing workflow automations. Workflow automations
    send a sequence of emails to contacts based on entry criteria (contact
    created, added to a list, segment match, contact-property match,
    contact-property change, or a custom event). These endpoints accept a
    standard project API key (AS_ prefix).
  version: 1.0.0
servers:
  - url: https://api.autosend.com/v1
security:
  - bearerAuth: []
paths:
  /automations/{id}/resume:
    post:
      summary: Resume Automation
      description: Resumes a paused workflow automation back to active state.
components: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.